<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (13.0.2) on Mon Apr 13 03:50:16 BRT 2020 -->
<title>DisplayConfiguration</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<meta name="description" content="declaration: package: eu.systemsengineer.fjcapeletto.handler.config, class: DisplayConfiguration">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DisplayConfiguration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">eu.systemsengineer.fjcapeletto.handler.config</a></div>
<h1 title="Class DisplayConfiguration" class="title">Class DisplayConfiguration</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">eu.systemsengineer.fjcapeletto.handler.config.DisplayConfiguration</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="typeNameLabel">DisplayConfiguration</span>
extends java.lang.Object</pre>
<div class="block">Class containing the properties for the Display Application.
 Configured through Spring Injection by the bean 'display-configuration'</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>MK2-V1</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Fernando Jose Capeletto Neto</dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#carMargin">carMargin</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#terminalBorder">terminalBorder</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#terminalHorizontalSize">terminalHorizontalSize</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#terminalStartPosition">terminalStartPosition</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#terminalVerticalSize">terminalVerticalSize</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">DisplayConfiguration</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCarMargin()">getCarMargin</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the margin of distance to be respected from a given car, to be displayed its name on display during movements.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTerminalBorder()">getTerminalBorder</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the margin of distance to be respected from a terminal border, to a given car.</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTerminalHorizontalSize()">getTerminalHorizontalSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns Horizontal Size for the Terminal.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTerminalStartPosition()">getTerminalStartPosition</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns Horizontal start position where the Cars will run.</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTerminalVerticalSize()">getTerminalVerticalSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns Vertical Size for the Terminal.</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCarMargin(int)">setCarMargin</a></span>&#8203;(int&nbsp;carMargin)</code></th>
<td class="colLast">
<div class="block">Set the margin of distance to be respected from a given car, to be displayed its name on display during movements.</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTerminalBorder(int)">setTerminalBorder</a></span>&#8203;(int&nbsp;terminalBorder)</code></th>
<td class="colLast">
<div class="block">Set the margin of distance to be respected from a terminal border, to a given car.</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTerminalHorizontalSize(int)">setTerminalHorizontalSize</a></span>&#8203;(int&nbsp;terminalHSize)</code></th>
<td class="colLast">
<div class="block">Set the Horizontal Size for the Terminal.</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTerminalStartPosition(int)">setTerminalStartPosition</a></span>&#8203;(int&nbsp;terminaStartPosition)</code></th>
<td class="colLast">
<div class="block">Set the Horizontal start position where the Cars will run.</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTerminalVerticalSize(int)">setTerminalVerticalSize</a></span>&#8203;(int&nbsp;terminalVHSize)</code></th>
<td class="colLast">
<div class="block">Set the Vertical Size for the Terminal.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="terminalHorizontalSize">terminalHorizontalSize</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">terminalHorizontalSize</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="terminalVerticalSize">terminalVerticalSize</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">terminalVerticalSize</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="terminalStartPosition">terminalStartPosition</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">terminalStartPosition</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="carMargin">carMargin</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">carMargin</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="terminalBorder">terminalBorder</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">terminalBorder</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">DisplayConfiguration</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">DisplayConfiguration</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getTerminalHorizontalSize()">getTerminalHorizontalSize</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getTerminalHorizontalSize</span>()</div>
<div class="block">Returns Horizontal Size for the Terminal.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Horizontal Size for the Terminal.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setTerminalHorizontalSize(int)">setTerminalHorizontalSize</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setTerminalHorizontalSize</span>&#8203;(<span class="arguments">int&nbsp;terminalHSize)</span></div>
<div class="block">Set the Horizontal Size for the Terminal. 
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>terminalHSize</code> - Horizontal Size for the Terminal.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getTerminalVerticalSize()">getTerminalVerticalSize</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getTerminalVerticalSize</span>()</div>
<div class="block">Returns Vertical Size for the Terminal.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Vertical Size for the Terminal.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setTerminalVerticalSize(int)">setTerminalVerticalSize</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setTerminalVerticalSize</span>&#8203;(<span class="arguments">int&nbsp;terminalVHSize)</span></div>
<div class="block">Set the Vertical Size for the Terminal. 
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>terminalVHSize</code> - Vertical Size for the Terminal.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getTerminalStartPosition()">getTerminalStartPosition</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getTerminalStartPosition</span>()</div>
<div class="block">Returns Horizontal start position where the Cars will run.
 The area before this position is reserved for the left menu.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Horizontal start position where the Cars will run.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setTerminalStartPosition(int)">setTerminalStartPosition</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setTerminalStartPosition</span>&#8203;(<span class="arguments">int&nbsp;terminaStartPosition)</span></div>
<div class="block">Set the Horizontal start position where the Cars will run.
 The area before this position is reserved for the left menu. 
         * Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>terminaStartPosition</code> - Horizontal start position where the Cars will run.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCarMargin()">getCarMargin</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getCarMargin</span>()</div>
<div class="block">Returns the margin of distance to be respected from a given car, to be displayed its name on display during movements.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Margin of distance from a car.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setCarMargin(int)">setCarMargin</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setCarMargin</span>&#8203;(<span class="arguments">int&nbsp;carMargin)</span></div>
<div class="block">Set the margin of distance to be respected from a given car, to be displayed its name on display during movements.
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>carMargin</code> - Margin of distance from a car.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getTerminalBorder()">getTerminalBorder</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getTerminalBorder</span>()</div>
<div class="block">Returns the margin of distance to be respected from a terminal border, to a given car.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Margin of distance from a terminal border.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setTerminalBorder(int)">setTerminalBorder</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setTerminalBorder</span>&#8203;(<span class="arguments">int&nbsp;terminalBorder)</span></div>
<div class="block">Set the margin of distance to be respected from a terminal border, to a given car.
 Used for Spring Injection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>terminalBorder</code> - Margin of distance from a terminal border.</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DisplayConfiguration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
